using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;

namespace Marco.Pms.Model.AppMenu
{
    public class MenuItem
    {
        [BsonId]
        [BsonRepresentation(BsonType.String)]
        public Guid Id { get; set; } = Guid.NewGuid();

        public string? Text { get; set; }
        public string? Icon { get; set; }
        public bool Available { get; set; } = true;

        public string? Link { get; set; }

        // Changed from string → List<string>
        public List<string> PermissionIds { get; set; } = new List<string>();

        public List<SubMenuItem> Submenu { get; set; } = new List<SubMenuItem>();
    }
}
